SqlServerCe su Aruba

domenica 05 febbraio 2012 - 20.56
Tag Elenco Tags  VB.NET  |  .NET 4.0  |  Visual Studio 2010

alexmed Profilo | Guru

Ciao a tutti,
Incuriosito da un post del forum, mi sono messo al lavoro ed ho creato due paginette per testare se SqlServerCe funzionava su "servizio Hosting Windows che si basa sulla piattaforma Windows Server 2008 e supporta in modo nativo il linguaggioASP, i database Access e .NET Framework 3.5/4.0."

Il mini progetto è basato sulle SqlceMembership che ho trovato qui: http://sqlcemembership.codeplex.com/

Naturalmente in locale funziona perfettamente mentre online mi restituisce questo errore sul file Web.config:

Line 18: <compilation debug="true" targetFramework="4.0">
Line 19: <assemblies>
Line 20: <add assembly="System.Data.SqlServerCe, Version=4.0.0.0, Culture=neutral, PublicKeyToken=89845DCD8080CC91"/> -------------- ROSSO
Line 21: </assemblies>
Line 22: </compilation>

Tramite pannello di controllo, "Gestione webserver IIS Tool" per la gestione del Framework .NET (ASP.net) e Modalità Pipeline ho impostato il Framework alla versione 4.0 ed ho lasciato la voce Modalità Pipeline a Classic in quanto se la imposto ad Integrated mi scoppia tutto.

Devo aggiungere qualcosa?

alexmed

alx_81 Profilo | Guru

>Ciao a tutti,
Ciao

>Tramite pannello di controllo, "Gestione webserver IIS Tool"
>per la gestione del Framework .NET (ASP.net) e Modalità Pipeline
>ho impostato il Framework alla versione 4.0 ed ho lasciato la
>voce Modalità Pipeline a Classic in quanto se la imposto ad Integrated
>mi scoppia tutto.
>Devo aggiungere qualcosa?
Secondo me ti conviene aprire un ticket, sono sempre fumosi in questo tipo di impostazioni, oppure cambiare provider, che in giro ce ne sono di molto più aggiornati, con un pannello di controllo evoluto e che costano anche meno
--
Alessandro Alpi | SQL Server MVP
MCP|MCITP|MCTS|MCT

http://www.alessandroalpi.net
http://blogs.dotnethell.it/suxstellino
http://mvp.support.microsoft.com/profile/Alessandro.Alpi

bobo89 Profilo | Junior Member

Sicuramente era il mio post!!! :-)
Allora ho appena ricevuto risposta da Aruba, la maggior parte degli host sono basati su windows server 2003 e quindi non supportano il fr.net 4.0 pero tramite esplicita richiesta loro ti spostano il dominio su win server 2008 R2 in 48 ore di tempo, devi effettuare un backup perchè i dati vengono persi....
Insomma vuoi il fr.net4.0??? devi fare esplicita richiesta ad aruba!!!
Ciaooo!!!
Zito Piero
info@makerit.it
http://www.makerit.it

alexmed Profilo | Guru

Ciao ragazzi,
@Alex
In effetti anche per altre cose hanno un apolitica tutta loro però finora mi sono sempre trovato bene e i prezzi sembrano competitivi.

@Bobo
Il problema è che il pacchetto che è stato acquistato prevede già la compatibilità con il net 4.0.

Proverò aprendo un ticket e vi faccio sapere.

alexmed

bobo89 Profilo | Junior Member

Prevede da contratto qst è vero, ecco perché te lo cambiano gratuitamente!!!
Zito Piero
info@makerit.it
http://www.makerit.it

alexmed Profilo | Guru

Ok ragazzi ... mooooooolto bene!!!
Dopo aver ricevuto notizie positive da Aruba, mi sono messo al lavoro e dopo svariati tentativi ho trovato la soluzione in questo link:

http://www.aspitalia.com/script/1045/Effettuare-Deploy-Applicazione-ASP.NET-Basata-SQL-Server-Compact-4.0.aspx

F u n z i o n a!!!
alexmed
Partecipa anche tu! Registrati!
Hai bisogno di aiuto ?
Perchè non ti registri subito?

Dopo esserti registrato potrai chiedere
aiuto sul nostro Forum oppure aiutare gli altri

Consulta le Stanze disponibili.

Registrati ora !
Copyright © dotNetHell.it 2002-2017
Running on Windows Server 2008 R2 Standard, SQL Server 2012 & ASP.NET 3.5